<?PHP
/*///////////////////////////////////////////////////////////////////////////////////
PHP手机小说小偷4.1
小说主力源站点:www.it09.net     【在主机屋安家】
小说备用源站点1:cloud.it09.com	【在百度CDN中心安家】
小说备用源站点2:mirror.it09.com	【在数据中心www.winidc.net安家】
技术支持:www.it09.com（QQ群:博益科技5群 12135445）
版权所有:古月芳弓虽(博益科技)
当前版本完结日期:20150810
//////////////////////////////////////////////////////////////////////////////////*/
//以下为核心代码，切勿修改，否则会导致错误。
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
function readpage($info=array())
{
if(empty($_GET['action']) and $_GET['page']>0)return read_cache($info);
return read($info['Sourcesites']);
}
function read($temp=array()){
$output='';$i=0;
while(empty($output)){
$temp1=$temp[intval(rand(0,count($temp)-1))];
$temp2='http://'.$temp1.'/?action='.@$_GET['action'].'&page='.@$_GET['page'].'&book='.@$_GET['book'];
//$temp2='http://cloud.it09.com/?action='.@$_GET['action'].'&page='.@$_GET['page'].'&book='.@$_GET['book'];
$output=@curlread($temp2);
if(empty($output))$output=file_get_contents($temp2);
if(!empty($output))return $output;
if(($i++)>3)return '服务器忙，请重试。';
}}
function curlread($address="")
{$ch = curl_init();$timeout = 12;curl_setopt ($ch, CURLOPT_URL,$address);
curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 1);curl_setopt ($ch, CURLOPT_HEADER,0);
curl_setopt ($ch, CURLOPT_NOBODY,0);curl_setopt ($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/34.0.1847.131 Safari/537.36');
curl_setopt ($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
return curl_exec($ch);}
function encode($string = '', $skey = 'it09com'){
$strArr = str_split(base64_encode($string));
$strCount = count($strArr);
foreach (str_split($skey) as $key => $value)
$key < $strCount && $strArr[$key].=$value;
return str_replace(array('=', '+', '/'), array('O0O0O', 'o000o', 'oo00o'), join('', $strArr));}
function utf8($word,$is=false){
if($is){
$t=@iconv("GBK","UTF-8",$word);
if($t==false)return $word;
else
return $t;}
if(is_utf8($word))return $word;
$newword=@iconv("GBK","UTF-8",$word);
if(!$newword)return $word;
return $newword;}
function is_utf8($word){
if (preg_match("/^([".chr(228)."-".chr(233)."]{1}[".chr(128)."-".chr(191)."]{1}[".chr(128)."-".chr(191)."]{1}){1}/",$word) == true || preg_match("/([".chr(228)."-".chr(233)."]{1}[".chr(128)."-".chr(191)."]{1}[".chr(128)."-".chr(191)."]{1}){1}$/",$word) == true || preg_match("/([".chr(228)."-".chr(233)."]{1}[".chr(128)."-".chr(191)."]{1}[".chr(128)."-".chr(191)."]{1}){2,}/",$word) == true)
return true;
else
return false;}

/////////////////////////////////////////////////////////////////////////
//更新分类缓存文件。
function read_cache($info=array())
{$page=@$_GET['page'];
if($page<1)$page=1;$output='';
if(!is_file(QIANG.'/../cache/files.txt'))
	copy('http://www.it09.com/www/book/cache/files_new.txt',QIANG.'/../cache/files.txt');//读取列表缓存
try{
$file = new SplFileObject(QIANG.'/../cache/files.txt');
$file->seek(($page-1)*50);
for($i=0;$i<=50;$i++){
$hangs=trim($file->fgetss());
$output=$output.'<p>'.(($page-1)*50+$i).'.<a href="?action=read&book='.encode($hangs).'">'.str_ireplace('.txt','',utf8($hangs)).'</a></p>
';$file->next();}
$file->seek(filesize(QIANG.'/../cache/files.txt'));
$hangshu=$file->key();
}catch(Exception $e)
{$i=1;}
$output=$output.'<p>本站共收录小说'.($hangshu).'本，当前是'.(($page-1)*50+1).'至'.(($page-1)*50+$i).'本</p><p>
分页:';$j=0;
for($i=intval((($page-1)*50+1)/50-25)<1?1:intval((($page-1)*50+1)/50-25);(($i<=$hangshu/50+1) and $j<50);$i++)
{
		$output=$output.'<a href="?page='.$i.'">'.$i.'</a>&nbsp;&nbsp;
';$j++;
		}
	$output=$output.'</p><p>技术支持：<a href="http://www.it09.com">博益科技</a></p>';

if(3600*24+filectime(QIANG.'/../cache/files.txt')<time())
	{
	unlink(QIANG.'/../cache/files.txt');
	copy('http://www.it09.com/www/book/cache/files_new.txt',QIANG.'/../cache/files.txt');
	}
//这是输出段落
include(QIANG.'/head.php');
include(QIANG.'/foot.php');
return page_header($info).'
<body id="body">
<div data-role="page" id="pageone" data-theme="a">
  <div data-role="header" width=100%>
	<ul>
	<a href="./"><img src="'.$info['logo'].'" /></a>
	</ul>
  </div>
  <div data-role="content">
    <ul>'.$output.'</ul>
    <ul><a href="./" data-role="button">转到首页</a></ul>
  </div>
'.page_footer($info);
}

?>